Have ideas to improve npm?Join in the discussion! »

    litepicker
    TypeScript icon, indicating that this package has built-in type declarations

    2.0.11 • Public • Published

    npm version Build Status license

    Litepicker

    Date range picker - lightweight, no dependencies

    Features

    • No dependencies
    • Single date or date range
    • Show multiple months
    • Min/Max days for select and/or Min/Max dates for select
    • Select forward/backward
    • Inline mode
    • Repick date range
    • Lock days
    • Keyboard accessibility (with plugin)
    • Mobile friendly (with plugin)
    • Predefined ranges (with plugin)
    • Multiple select (with plugin)

    See more details in docs.

    Documentation

    Compatibility

    Desktop
    • IE 11 (required polyfills)
    • Edge 17+
    • Chrome 60+
    • Firefox 52+
    • Safari 10.1+
    • Opera 48+
    Mobile
    • iOS 10+
      • Safari
      • Chrome
    • Android 7+
      • Chrome
      • Firefox
      • Samsung Browser
      • UC Browser

    Plugins

    See also:

    Supporting Litepicker

    Tested on real browsers

    Tested on real browsers via BrowserStack.
    Thanks to the BrowserStack for supporting the open-source projects.

    Install

    npm i litepicker

    DownloadsWeekly Downloads

    11,315

    Version

    2.0.11

    License

    MIT

    Unpacked Size

    725 kB

    Total Files

    36

    Last publish

    Collaborators

    • avatar